# Class CIM_InstMethodCall
extends CIM_InstIndication

CIM_InstMethodCall notifies when an instance's method is invoked.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Indication
|
+--CIM_InstIndication
|
+--CIM_InstMethodCall

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | CIM_InstMethodCall notifies when an instance's method is invoked.
Indication | boolean | true
UMLPackagePath | string | CIM::Event
Version | string | 2.38.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
MethodName | string |
Description | string | The name of the method invoked.
Required | boolean | true
MethodParameters | string |

Description

string

The input and output parameters of the method (depending on the PreCall property), represented as an embedded instance with a class name of "__MethodParameters". That embedded instance contains properties representing the parameters of the method invocation. Each parameter is mapped to a corresponding property of the same name and type. REF-typed parameters are represented as Reference-qualified properties of type string whose value is the instance path in WBEM URI format. If PreCall is TRUE, the embedded instance contains only properties corresponding to the input parameters of the method, and their values are the parameter values before the method call. If PreCall is FALSE, the embedded instance contains only properties corresponding to the output parameters of the method, and their values are the parameter values after the method call.

EmbeddedObject | boolean | true
PreCall | boolean |

Description

string

Boolean indicating whether the Indication is sent before the method begins executing (TRUE) or when the method completes (FALSE). When TRUE, the inherited property SourceInstance contains the value of the instance (the properties defined by the Filter's Query clause), before execution of the method. When PreCall is FALSE, SourceInstance embeds the instance as it appears after the completion of the method.

Required | boolean | true
ReturnValue | string |

Description

string

The return value of the method (depending on the PreCall property). If PreCall is True, this property is NULL describing that there is no method return value (since the method has not yet executed). If PreCall is False, ReturnValue contains a string representation of the method's return value. REF-typed method return values shall be represented as an instance path in WBEM URI format

ModelCorrespondence | string | CIM_InstMethodCall.PreCall

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
IndicationFilterName | string | CIM_Indication
IndicationIdentifier | string | CIM_Indication
IndicationTime | datetime | CIM_Indication
OtherSeverity | string | CIM_Indication
PerceivedSeverity | uint16 | CIM_Indication
SequenceContext | string | CIM_Indication
SequenceNumber | sint64 | CIM_Indication
SourceInstance | string | CIM_InstIndication
SourceInstanceHost | string | CIM_InstIndication
SourceInstanceModelPath | string | CIM_InstIndication
CorrelatedIndications | string[] | CIM_Indication

## Class Methods